# Class BasicToolBarUI.PropertyListener

java.lang.Object
javax.swing.plaf.basic.BasicToolBarUI.PropertyListener

All Implemented Interfaces:
  `PropertyChangeListener, EventListener`

Direct Known Subclasses:
  `MetalToolBarUI.MetalRolloverListener`

Enclosing class:
  `BasicToolBarUI`

protected class BasicToolBarUI.PropertyListener extends Object implements PropertyChangeListener
The class listens for property changed events.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PropertyListener()`
Constructs a `PropertyListener`.

## Method Summary

Modifier and Type
Method
Description
`void`
`propertyChange(PropertyChangeEvent e)`
This method gets called when a bound property is changed.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertyListener

protected PropertyListener()
Constructs a `PropertyListener`.

## Method Details

### propertyChange

public void propertyChange(PropertyChangeEvent e)
Description copied from interface: `PropertyChangeListener`
This method gets called when a bound property is changed.

Specified by:
  `propertyChange` in interface `PropertyChangeListener`
Parameters:
  `e` - A PropertyChangeEvent object describing the event source and the property that has changed.